Skip to main content
GET
/
v1
/
customers
/
{customer_id}
/
recipients
Get all recipients
curl --request GET \
  --url https://api.example.com/v1/customers/{customer_id}/recipients \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/v1/customers/{customer_id}/recipients"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/v1/customers/{customer_id}/recipients', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "recipients": [
    {
      "iban": "<string>",
      "legal_name": "<string>",
      "country": "<string>",
      "city": "<string>",
      "legal_address": "<string>",
      "bic": "<string>",
      "bank": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "intermediate_bic": "<string>",
      "intermediate_bank": "<string>",
      "intermediate_route": "<string>",
      "email": "jsmith@example.com",
      "phone": "<string>",
      "reference": "<string>"
    }
  ],
  "total": 1,
  "has_more": true
}
{
  "code": "common.unauthorized",
  "message": "Authentication required"
}
{
  "code": "common.forbidden",
  "message": "Insufficient permissions"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customer_id
string<uuid>
required

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0
type
enum<string>
Available options:
business,
personal
country
string
Required string length: 2

Response

Recipients retrieved successfully

recipients
object[]
total
integer
Required range: x >= 0
has_more
boolean